asangard/asangard/Models/Tour.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace asangard.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Tour
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Tour()
        {
            this.ListTours = new HashSet<ListTour>();
        }
    
        public int IdTour { get; set; }
        public string Location { get; set; }
        public int Cost { get; set; }
        public string text { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ListTour> ListTours { get; set; }
    }
}

asangard/asangard/Controllers/ToursController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using asangard.Models;
using System.IO;

namespace asangard.Controllers
{
    public class ToursController : Controller
    {
        private TravelEntities db = new TravelEntities();
        private toorEntities ds = new toorEntities();

        // GET: Tours
        public ActionResult Index()
        {
            return View(ds.Table1.ToList());
        }

        // GET: Tours/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Tour tour = db.Tours.Find(id);
            if (tour == null)
            {
                return HttpNotFound();
            }
            return View(tour);
        }

        // GET: Tours/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Tours/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "IdTour,Location,Cost,text,date")] Table1 tour)
        {

           
            if (ModelState.IsValid)
            {
                int id = 0;
            var count = ds.Table1.Count();
                
                if(count==0)
                {

                    id = 0;
                }
                else
                {
                    id = ds.Table1.Max(p => p.IdTour);

                }
               
                tour.IdTour = id + 1;
                //tour.date = DateTime.Now;

                ds.Table1.Add(tour);

                ds.SaveChanges();

                return RedirectToAction("Index");
            }

            return View(tour);
        }

        [Authorize(Roles = "Admin")]
        [HttpGet]
        public ActionResult AddPicture(int? id)
        {
            TempData["id"] = id;
           var city = db.Tours.Where(p => p.IdTour.Equals(id)).Select(o => o.Location);
           var cost = db.Tours.Where(p => p.IdTour.Equals(id)).Select(o => o.Cost);
            TempData["loc"] = city;

             TempData["cost"] = cost;

            //var path = db.Pictures.Where(p => p.Location.Equals(city)).Count();

            //if(path == 0)
            //{

                return View();
            //}

            //else
            //{

            //    return View(db.Pictures.Where(i => i.Location.Equals(city)).ToList());
            //}

        

        }


        [HttpPost]
        public ActionResult AddPicture(HttpPostedFileBase file,string Location)
        {
            var allowedExtensions = new[] { ".Jpg", ".png", ".jpg", "jpeg" };
            picEntities Pe = new picEntities();
            Picture pic = new Picture();
           

            if (file != null)
            {
                // BookPic tbl = new BookPic();
                ////tbl.Image = file1.ToString(); //getting complete url 
                ////tbl.name = fc["Name"].ToString();

                var fileName = Path.GetFileName(file.FileName); //getting only file name(ex-ganesh.jpg) 
                var ext = Path.GetExtension(file.FileName); //getting the extension(ex-.jpg) 
                if (allowedExtensions.Contains(ext)) //check what type of extension 
                {

                    string name = Path.GetFileNameWithoutExtension(fileName); //getting file name without extension 
                    string myfile = name + "_" + TempData["id"] + ext; //appending the name with id 
                                                                       //    // store the file inside ~/project folder(Img) 
                                                                       //    var path = Path.Combine(Server.MapPath("~/Img"), myfile);
                                                                       //   // var path = Url.Content("~img");


                    int max = 0;

                    var path = "~/uploads/" + name;

                    //pic.Path = path;
                    //pic.Location = Location;
                    if (Pe.Pictures.Count() == 0)
                    {
                        pic.IdPic = 0;
                    }
                    else
                    {
                        max = Pe.Pictures.Max(k => k.IdPic);
                    }

                    pic.IdPic = max + 1;
                    pic.Location = Location;
                    pic.Path = path;

                    Pe.Pictures.Add(pic);
                    Pe.SaveChanges();
             
                   // int x = max + 1;

                    path = Path.Combine(Server.MapPath("~/upload/"), myfile);
                    file.SaveAs(path);

                  // Picture p = Pe.Pictures.Find(x);
             //  var x = Pe.Pictures.Where(i => i.Location.Equals(pic.Location)).ToList();
                //    return View("Index");

                   return View("Pic",Pe.Pictures.Where(i => i.Location.Equals(pic.Location)).ToList());
                }
                else
                {
                    ViewBag.message = "file is invalid";
                }

            }

            return RedirectToAction("Index");

        }

       

        // GET: Tours/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Tour tour = db.Tours.Find(id);
            if (tour == null)
            {
                return HttpNotFound();
            }
            return View(tour);
        }

        // POST: Tours/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "IdTour,Location,Cost,text")] Tour tour)
        {
            if (ModelState.IsValid)
            {
                db.Entry(tour).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(tour);
        }

        // GET: Tours/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Tour tour = db.Tours.Find(id);
            if (tour == null)
            {
                return HttpNotFound();
            }
            return View(tour);
        }

        // POST: Tours/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Tour tour = db.Tours.Find(id);
            db.Tours.Remove(tour);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }


    }
}

asangard/asangard/Views/Tours/AddPicture.cshtml
@model asangard.Models.Picture

@{
    ViewBag.Title = "AddPicture";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<div>
    @Html.ActionLink("Back to List", "Index")
</div>



    <div style="background-color:lightcyan; height:200px;">
        @using (Html.BeginForm("AddPicture", "Tours", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {

            @Html.AntiForgeryToken()

            <div class="form-horizontal">

                <hr />
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })


                <div class="form-group">
                    @Html.LabelFor(model => model.Location, htmlAttributes: new { @class = "control-label col-md-2" })
                   
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control col-md-2" } })
                        @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                    </div>
                </div>

                <input type="file" name="file" />
                <br />
                <input type="submit" value="Upload" class="btn btn-default" />
                
            </div>
        }

</div>


@*<div>
    @foreach (var item in Model)
    {
      
            <img src=@Url.Content(item.Path)>


        <br />

    }

</div>*@



<script src="~/Scripts/jquery-1.10.2.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

asangard/asangard/Views/Tours/Create.cshtml
@model asangard.Models.Table1

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Create</h2>


@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Table1</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <div class="form-group">
            @Html.LabelFor(model => model.Location, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Cost, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Cost, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Cost, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.text, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.text, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.text, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.date, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.date, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.date, "", new { @class = "text-danger" })
            </div>
        </div>

       
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

<script src="~/Scripts/jquery-1.10.2.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

asangard/asangard/Views/Tours/Delete.cshtml
@model asangard.Models.Tour

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<h3>Are you sure you want to delete this?</h3>
<div>

    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Location)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Location)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Cost)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Cost)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.text)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.text)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List","Index")
        </div>
    }
</div>

asangard/asangard/Views/Tours/Details.cshtml
@model asangard.Models.Tour

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Details</h2>

<div>
    <h4>Tour</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Location)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Location)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Cost)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Cost)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.text)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.text)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.IdTour }) |
    @Html.ActionLink("Back to List", "Index")
</p>

asangard/asangard/Views/Tours/Edit.cshtml
@model asangard.Models.Tour

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Tour</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.IdTour)

        <div class="form-group">
            @Html.LabelFor(model => model.Location, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Cost, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Cost, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Cost, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.text, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.text, new { columns = 100, row = 15, htmlAttributes = new { @class = "form-control col-lg-10" } })
                @Html.ValidationMessageFor(model => model.text, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

<script src="~/Scripts/jquery-1.10.2.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

asangard/asangard/Views/Tours/Index.cshtml
@model IEnumerable<asangard.Models.Table1>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Location)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Cost)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.text)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.date)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Location)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Cost)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.text)
        </td>
       
        <td>
            @Html.DisplayFor(modelItem => item.date)
        </td>

        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.IdTour }) |
            @Html.ActionLink("Details", "Details", new { id=item.IdTour }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.IdTour }) |
            @Html.ActionLink("Add picture","AddPicture",new {id = item.IdTour })

        </td>

    </tr>
}

</table>

asangard/asangard/Views/Tours/Pic.cshtml
@model IEnumerable<asangard.Models.Picture>



@{
    ViewBag.Title = "Pic";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

    <meta name="author" content="norolahi" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width , initial-scale=1.0,maximum-scale=1,user-scale=no " />
    <title>آسان گرد</title>

    <script src="~/Scripts/jquery-1.9.1.js"></script>

    <link href="~/Content/bootstrap-theme.css" rel="stylesheet" />
    <link href="~/Content/bootstrap.css" rel="stylesheet" />
    <link href="~/Content/bootstrap-3.2.rtl.css" rel="stylesheet" />

    <script src="~/Scripts/bootstrap.js"></script>
    <link href="~/Content/Site.css" rel="stylesheet" />

</head>
<body>

    @foreach (var item in Model)
    {
        <img src=@Url.Content(item.Path) width="200px" height="200px" />
    }

    </body>